package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.ws.WebFault;

@WebFault(
   name = "WSHFaultDetails",
   targetNamespace = "http://www.informatica.com/wsh"
)
public class Fault extends Exception {
   private FaultDetails faultInfo;

   public Fault(String message, FaultDetails faultInfo) {
      super(message);
      this.faultInfo = faultInfo;
   }

   public Fault(String message, FaultDetails faultInfo, Throwable cause) {
      super(message, cause);
      this.faultInfo = faultInfo;
   }

   public FaultDetails getFaultInfo() {
      return this.faultInfo;
   }
}
